Package org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated

## Class XMLParserBenchmark_jmhType_B2

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.rio.ParserBenchmark
  - - org.eclipse.rdf4j.benchmark.rio.impl.XMLParserBenchmark
    - - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.XMLParserBenchmark_jmhType_B1
      - - org.eclipse.rdf4j.benchmark.rio.impl.jmh_generated.XMLParserBenchmark_jmhType_B2

- Direct Known Subclasses:
    `XMLParserBenchmark_jmhType_B3`

      public class XMLParserBenchmark_jmhType_B2
      extends XMLParserBenchmark_jmhType_B1

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `readyInvocation` |
    `boolean` | `readyIteration` |
    `boolean` | `readyTrial` |
    `int` | `setupInvocationMutex` |
    `static AtomicIntegerFieldUpdater<XMLParserBenchmark_jmhType_B2>` | `setupInvocationMutexUpdater` |
    `int` | `setupIterationMutex` |
    `static AtomicIntegerFieldUpdater<XMLParserBenchmark_jmhType_B2>` | `setupIterationMutexUpdater` |
    `int` | `setupTrialMutex` |
    `static AtomicIntegerFieldUpdater<XMLParserBenchmark_jmhType_B2>` | `setupTrialMutexUpdater` |
    `int` | `tearInvocationMutex` |
    `static AtomicIntegerFieldUpdater<XMLParserBenchmark_jmhType_B2>` | `tearInvocationMutexUpdater` |
    `int` | `tearIterationMutex` |
    `static AtomicIntegerFieldUpdater<XMLParserBenchmark_jmhType_B2>` | `tearIterationMutexUpdater` |
    `int` | `tearTrialMutex` |
    `static AtomicIntegerFieldUpdater<XMLParserBenchmark_jmhType_B2>` | `tearTrialMutexUpdater` |

    - ### Fields inherited from class org.eclipse.rdf4j.benchmark.rio.ParserBenchmark

      `MAX_STRING_LENGTH, MIN_STRING_LENGTH, PERCENT_BNODE, PERCENT_LITERALS, TEXT_ONLY, TOTAL_STATEMENTS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XMLParserBenchmark_jmhType_B2()` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.benchmark.rio.impl.XMLParserBenchmark

      `getParser, main`

    - ### Methods inherited from class org.eclipse.rdf4j.benchmark.rio.ParserBenchmark

      `parseBufferedReader, parseStream, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### setupTrialMutex

          public volatile int setupTrialMutex

    - #### tearTrialMutex

          public volatile int tearTrialMutex

    - #### setupTrialMutexUpdater

          public static final AtomicIntegerFieldUpdater<XMLParserBenchmark_jmhType_B2> setupTrialMutexUpdater

    - #### tearTrialMutexUpdater

          public static final AtomicIntegerFieldUpdater<XMLParserBenchmark_jmhType_B2> tearTrialMutexUpdater

    - #### setupIterationMutex

          public volatile int setupIterationMutex

    - #### tearIterationMutex

          public volatile int tearIterationMutex

    - #### setupIterationMutexUpdater

          public static final AtomicIntegerFieldUpdater<XMLParserBenchmark_jmhType_B2> setupIterationMutexUpdater

    - #### tearIterationMutexUpdater

          public static final AtomicIntegerFieldUpdater<XMLParserBenchmark_jmhType_B2> tearIterationMutexUpdater

    - #### setupInvocationMutex

          public volatile int setupInvocationMutex

    - #### tearInvocationMutex

          public volatile int tearInvocationMutex

    - #### setupInvocationMutexUpdater

          public static final AtomicIntegerFieldUpdater<XMLParserBenchmark_jmhType_B2> setupInvocationMutexUpdater

    - #### tearInvocationMutexUpdater

          public static final AtomicIntegerFieldUpdater<XMLParserBenchmark_jmhType_B2> tearInvocationMutexUpdater

    - #### readyTrial

          public volatile boolean readyTrial

    - #### readyIteration

          public volatile boolean readyIteration

    - #### readyInvocation

          public volatile boolean readyInvocation

  - ### Constructor Detail

    - #### XMLParserBenchmark_jmhType_B2

          public XMLParserBenchmark_jmhType_B2()